Bug 32193 - TypeError during univention-upgrade
TypeError during univention-upgrade
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P5 minor (vote)
: UCS 3.1-1-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 13:40 CEST by Niko Wenselowski
Modified: 2013-08-28 13:41 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niko Wenselowski 2013-08-08 13:40:26 CEST
I installed a fresh UCS 3.1-0 errata0 and then did run "univention-upgrade --noninteractive --ignoressh --ignoreterm"


In /var/log/univention/updater.log I had several messages with the following error:

Exception in thread Thread-16:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 532, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.6/threading.py", line 484, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/appcenter/app_center.py", line 360, in _download
    MODULE.error('Error downloading %s: %s' % url, e)
TypeError: not enough arguments for format string


The upgrade did finish without problems.


The fix for this probably is to alter line 360 in /usr/lib/pymodules/python2.6/univention/management/console/modules/appcenter/app_center.py to the following:
  MODULE.error('Error downloading %s: %s' % (url, e))
Comment 1 Stefan Gohmann univentionstaff 2013-08-13 09:02:54 CEST
Thanks for the report!

@Dirk, can you fix it within the next erratum? I don't think we need an extra erratum with this fix only.
Comment 2 Dirk Wiesenthal univentionstaff 2013-08-13 11:44:44 CEST
Fixed in
  univention-management-console-module-appcenter 3.0.15-1.166.201308131120
and
  univention-management-console-module-appcenter 2.0.139-21.167.201308131123

Beginner's mistake... but one with no consequences: The download of the initial App Center ini files failed during first installation of the new "Installed Apps" module (UCS 3.1-0 errata0 did not have the caching mechanism - the cache is populated during the update).

The bug in the error handling had no consequences as the function was executed in a thread and would have returned anyway.

The "real problem" (unable to download some files from the App Center server) is presumably a temporary network error and is fixed the first time the App Center module is started in the web frontend. After the ini files have been downloaded, it may be necessary to restart Univention Management Console (for the "Installed Apps" to be recognized), but as this happened in a fresh installation this is probably not necessary.

Changelog updated, YAML updated (we already have Bug#32117 as errata)
Comment 3 Florian Best univentionstaff 2013-08-26 15:16:05 CEST
Fix: OK
3.2-0: OK
Changelog: OK
YAML: OK
Comment 4 Moritz Muehlenhoff univentionstaff 2013-08-28 13:41:53 CEST
http://errata.univention.de/ucs/3.1/173.html